> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recording details

> Retrieve a recording.

The shape of the response depends of the state of the recording: `Empty`, `Uploaded`, `Ready` or `Failed`.

Set `returnAiFields` query parameter to `true` to retrieve the `aiFields` attribute containing the recording AI insights in a flat collection, instead of `insightTemplates` attribute containing insights grouped by AI templates. This parameter will become the default the 15th of June 2026, after which `insightTemplates` will be deprecated and omitted from all future payloads.


## OpenAPI

````yaml GET /v1/recordings/{recordingId}
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/recordings/{recordingId}:
    get:
      description: Retrieve a recording.
      operationId: getV1RecordingsByRecordingId
      parameters:
        - in: path
          name: recordingId
          schema:
            type: string
            description: Recording identifier
          required: true
        - in: query
          name: returnAiFields
          schema:
            type: string
            enum:
              - 'true'
              - '1'
              - 'false'
              - '0'
            default: 'false'
            description: >-
              If set to true, the `aiFields` attribute is populated with the
              recording insights while the `insightTemplates` field is left
              empty. If omitted or set to false, `aiFields` is left empty and
              `insightTemplates` is populated with the recording insights
              grouped by templates.
      responses:
        '200':
          description: Recording was successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      recording:
                        oneOf:
                          - $ref: '#/components/schemas/ApiRecording'
                          - type: object
                            properties:
                              channel:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: The folder (aka channel) identifier.
                                  name:
                                    type: string
                                    description: The folder (aka channel) name.
                                required:
                                  - id
                                  - name
                                description: The recording folder (aka channel).
                              createdAt:
                                type: string
                                description: The recording creation date.
                              id:
                                type: string
                                description: The recording identifier.
                              recorder:
                                type: object
                                properties:
                                  attended:
                                    type: boolean
                                  email:
                                    type: string
                                    description: The recorder email.
                                  id:
                                    type: string
                                    description: The recorder user identifier.
                                  name:
                                    type: string
                                    description: The recorder name.
                                required:
                                  - attended
                                  - email
                                  - id
                                  - name
                                description: The recording author.
                              source:
                                type: string
                                enum:
                                  - Aircall
                                  - Allo
                                  - Api
                                  - Call
                                  - GoogleMeet
                                  - LemlistVoip
                                  - Loom
                                  - MsTeams
                                  - Ringover
                                  - Uploaded
                                  - Zoom
                                description: >-
                                  How the recording was captured. Reflects the
                                  meeting platform (e.g. `Zoom`, `GoogleMeet`,
                                  `MsTeams`), VoIP provider (e.g. `Aircall`,
                                  `Ringover`, `Allo`), `Call` for other call
                                  platforms, `Uploaded` for recordings uploaded
                                  through the application, or `Api` when created
                                  through the API without an explicit source.
                              state:
                                type: string
                                enum:
                                  - Empty
                                  - Uploaded
                                  - Failed
                              title:
                                type: string
                                description: The recording title.
                              upload:
                                type: object
                                properties:
                                  url:
                                    type: string
                                required:
                                  - url
                              url:
                                type: string
                              workspace:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: The workspace identifier.
                                  name:
                                    type: string
                                    description: The workspace name.
                                required:
                                  - id
                                  - name
                                description: The recording workspace.
                            required:
                              - createdAt
                              - id
                              - recorder
                              - state
                              - url
                              - workspace
                    required:
                      - recording
                required:
                  - result
components:
  schemas:
    ApiRecording:
      type: object
      properties:
        channel:
          type: object
          properties:
            id:
              type: string
              description: The folder (aka channel) identifier.
            name:
              type: string
              description: The folder (aka channel) name.
          required:
            - id
            - name
          description: The recording folder (aka channel).
        createdAt:
          type: string
          description: The recording creation date.
        durationSeconds:
          type: number
          description: The recording duration in seconds
        id:
          type: string
          description: The recording identifier.
        labels:
          type: array
          items:
            type: string
          description: The recording labels.
        meeting:
          type: object
          properties:
            conferenceUrl:
              type: string
              description: The URL of the conference where the meeting was held
              example: https://meet.google.com/aaa-bbbb-cccc
            endingAt:
              type: string
              description: The time the meeting was planned to end.
            participants:
              type: array
              items:
                type: object
                properties:
                  attended:
                    type: boolean
                  email:
                    type: string
                    description: The participant email.
                  id:
                    type: string
                    description: The participant Claap user identifier.
                  name:
                    type: string
                    description: The participant name.
                required:
                  - attended
              description: The meeting participants.
            startingAt:
              type: string
              description: The time the meeting was planned to start.
            type:
              type: string
              enum:
                - internal
                - external
              description: >-
                Set to "external" if at least one participant was external,
                "internal" otherwise.
          required:
            - endingAt
            - participants
            - startingAt
            - type
          description: The meeting attached to the recording
        recorder:
          type: object
          properties:
            attended:
              type: boolean
            email:
              type: string
              description: The recorder email.
            id:
              type: string
              description: The recorder user identifier.
            name:
              type: string
              description: The recorder name.
          required:
            - attended
            - email
            - id
            - name
          description: The recording author.
        source:
          type: string
          enum:
            - Aircall
            - Allo
            - Api
            - Call
            - GoogleMeet
            - LemlistVoip
            - Loom
            - MsTeams
            - Ringover
            - Uploaded
            - Zoom
          description: >-
            How the recording was captured. Reflects the meeting platform (e.g.
            `Zoom`, `GoogleMeet`, `MsTeams`), VoIP provider (e.g. `Aircall`,
            `Ringover`, `Allo`), `Call` for other call platforms, `Uploaded` for
            recordings uploaded through the application, or `Api` when created
            through the API without an explicit source.
        state:
          type: string
          const: Ready
        thumbnailUrl:
          type: string
          description: The recording thumbnail URL.
        title:
          type: string
          description: The recording title.
        transcripts:
          type: array
          items:
            type: object
            properties:
              isActive:
                type: boolean
                description: >-
                  Set to true on the transcript or translation currently active
                  on the recording.
              isTranscript:
                type: boolean
                description: >-
                  Set to true on the original transcript, to false on
                  translations.
              langIso2:
                type: string
                description: The 2-letters language code for the transcript or translation.
              textUrl:
                type: string
                description: >-
                  The download URL for the text representation of the
                  transcript, valid for 24 hours.
              url:
                type: string
                description: >-
                  The download URL for the JSON representation of the
                  transcript, valid for 24 hours.
            required:
              - textUrl
              - url
          description: The recording transcript and translations.
        url:
          type: string
          description: The recording page URL in Claap application.
        video:
          type: object
          properties:
            url:
              type: string
              description: The recording video URL, valid for 24 hours
          required:
            - url
          description: The recording video.
        workspace:
          type: object
          properties:
            id:
              type: string
              description: The workspace identifier.
            name:
              type: string
              description: The workspace name.
          required:
            - id
            - name
          description: The recording workspace.
        actionItems:
          type: array
          items:
            type: object
            properties:
              items:
                type: array
                items:
                  type: object
                  properties:
                    isChecked:
                      type: boolean
                      description: Set to true if the action item is checked.
                    description:
                      type: string
                      description: The action item description.
                  required:
                    - isChecked
                    - description
                description: The action items grouped by language.
              langIso2:
                type: string
                description: The 2-letters language code of the action items group.
            required:
              - items
              - langIso2
          description: The recording action items.
        aiFields:
          type: array
          items:
            type: object
            properties:
              description:
                type: string
                description: The insight content.
              title:
                type: string
                description: The insight title.
            required:
              - description
              - title
          description: >-
            The recording AI fields. Only returned if the `returnAiFields` query
            parameter is set to true.
        analytics:
          type: object
          properties:
            interactivityScore:
              type: number
              description: Interactivity score of the recording owner.
            longestCustomerStorySeconds:
              type: number
              description: Longest uninterrupted customer story, in seconds.
            longestMonologueSeconds:
              type: number
              description: >-
                Longest uninterrupted monologue of the recording owner, in
                seconds.
            patienceSeconds:
              type: number
              description: >-
                Average time the recording owner waits before speaking, in
                seconds.
            questionsPerHour:
              type: number
              description: Number of questions asked by the recording owner per hour.
            talkingRatio:
              type: number
              description: Talk/listen ratio of the recording owner, between 0 and 1.
          description: >-
            Coaching/analytics metrics for the recording. Omitted if the
            analytics have not been computed for this recording. Individual
            metrics may also be absent when they could not be computed.
        companies:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: The company identifier.
              name:
                type: string
                description: The company name.
            required:
              - id
              - name
          description: The companies related to the recording meeting.
        crmInfo:
          type: object
          properties:
            crm:
              type: string
              enum:
                - attio
                - hubspot
                - salesforce
                - pipedrive
            deal:
              type: object
              properties:
                id:
                  type: string
                  description: The deal CRM identifier.
              required:
                - id
              description: The deal attached to the recording in connected CRM.
          required:
            - crm
          description: The CRM connected to this recording.
        deal:
          type: object
          properties:
            id:
              type: string
              description: The deal identifier.
            name:
              type: string
              description: The deal name.
          required:
            - id
          description: The deal attached to the recording.
        insightTemplates:
          type: array
          items:
            type: object
            properties:
              templateTitle:
                type: string
                description: The insights template name.
              insights:
                type: array
                items:
                  type: object
                  properties:
                    langIso2:
                      type: string
                      description: The insights 2-letters language code.
                    sections:
                      type: array
                      items:
                        type: object
                        properties:
                          description:
                            type: string
                            description: The insight content.
                          title:
                            type: string
                            description: The insight title.
                        required:
                          - description
                          - title
                      description: The insights sections.
                  required:
                    - langIso2
                    - sections
                description: The insights and their translations.
            required:
              - templateTitle
              - insights
          description: >-
            The recording insights and translations, grouped by template. Only
            returned if the `returnAiFields` query parameters is left unset or
            set to false.
        keyTakeaways:
          type: array
          items:
            type: object
            properties:
              langIso2:
                type: string
                description: The takeaway 2-letters language code.
              text:
                type: string
                description: The takeaway content.
            required:
              - langIso2
              - text
          description: The recording takeaways.
        outlines:
          type: array
          items:
            type: object
            properties:
              langIso2:
                type: string
                description: The outline 2-letters language code.
              text:
                type: string
                description: The outline content.
            required:
              - langIso2
              - text
          description: The recording outlines.
      required:
        - createdAt
        - durationSeconds
        - id
        - labels
        - recorder
        - state
        - thumbnailUrl
        - transcripts
        - url
        - video
        - workspace
        - actionItems
        - companies
        - insightTemplates
        - keyTakeaways
        - outlines
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````